Browse Source

Merge "CI: run doc8 on api-ref"

changes/67/745667/4
Zuul 1 year ago
committed by Gerrit Code Review
parent
commit
42a77a45e1
  1. 17
      api-ref/source/introspection-api-versions.inc
  2. 14
      api-ref/source/parameters.yaml
  3. 2
      tox.ini

17
api-ref/source/introspection-api-versions.inc

@ -14,11 +14,12 @@ Inspector API supports versioning. There are two kinds of versions:
- ``microversions``, which can be requested through the use of the
``X-OpenStack-Ironic-Inspector-API-Version`` header.
The Version APIs work differently from other APIs as they *do not* require authentication.
The Version APIs work differently from other APIs as they *do not* require
authentication.
All API requests support the ``X-OpenStack-Ironic-Inspector-API-Version`` header.
This header SHOULD be supplied with every request; in the absence of this header,
server will default to current supported version in all responses.
All API requests support the ``X-OpenStack-Ironic-Inspector-API-Version``
header. This header SHOULD be supplied with every request; in the absence of
this header, server will default to current supported version in all responses.
List API versions
=================
@ -44,8 +45,8 @@ Response Example
- links: links
- status: status
- x-openstack-ironic-api-min-version: x-openstack-ironic-inspector-api-minimum-version
- x-openstack-ironic-api-max-version: x-openstack-ironic-inspector-api-maximum-version
- x-openstack-ironic-inspector-api-min-version: api-minimum-version
- x-openstack-ironic-inspector-api-max-version: api-maximum-version
.. literalinclude:: samples/api-root-response.json
:language: javascript
@ -74,8 +75,8 @@ Response Example
- rel: rel
- name: name
- x-openstack-ironic-api-min-version: x-openstack-ironic-inspector-api-minimum-version
- x-openstack-ironic-api-max-version: x-openstack-ironic-inspector-api-maximum-version
- x-openstack-ironic-inspector-api-min-version: api-minimum-version
- x-openstack-ironic-inspector-api-max-version: api-maximum-version
.. literalinclude:: samples/api-v1-root-response.json
:language: javascript

14
api-ref/source/parameters.yaml

@ -1,20 +1,20 @@
# variables in header
x-auth-token:
api-maximum-version:
description: |
The client token being passed into Ironic Inspector API to make
authentication.
Maximum API microversion supported by this endpoint, eg. "1.10"
in: header
required: true
type: string
x-openstack-ironic-inspector-api-maximum-version:
api-minimum-version:
description: |
Maximum API microversion supported by this endpoint, eg. "1.10"
Minimum API microversion supported by this endpoint, eg. "1.1"
in: header
required: true
type: string
x-openstack-ironic-inspector-api-minimum-version:
x-auth-token:
description: |
Minimum API microversion supported by this endpoint, eg. "1.1"
The client token being passed into Ironic Inspector API to make
authentication.
in: header
required: true
type: string

2
tox.ini

@ -44,7 +44,7 @@ commands =
[testenv:pep8]
commands =
flake8 ironic_inspector
doc8 README.rst CONTRIBUTING.rst doc/source
doc8 -e .rst -e .inc README.rst CONTRIBUTING.rst doc/source api-ref/source
[testenv:functional-py36]
commands =

Loading…
Cancel
Save